> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Webhook History

> Retrieve recent webhook delivery history grouped by action type, such as social, scheduled, or messages. Filter by action to get the last 6 months.

## Webhook History

Retrieve recent webhook delivery history grouped by action type.
The response object contains keys for each action (e.g., `social`, `scheduled`, `messages`, `feed`, `batch`, `mentions`, `comments`, `automations`, `demo`, `suspended`, `ads`), and each key maps to an array of events.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Query Parameters

**action** `string`

The webhook action to return history for the last 6 months. If not provided, all actions will be returned.

Available actions: `social`, `scheduled`, `messages`, `feed`, `batch`, `mentions`, `comments`, `automations`, `demo`, `suspended`, `ads`

```json 200: Response theme={"system"}
{
  "social": [
    {
      "action": "social",
      "created": "2025-09-05T23:13:08Z",
      "displayName": "ayrshare",
      "hookId": "6e4zPT9ozQpxD72WX78r",
      "platform": "snapchat",
      "refId": "9abf1426d6ce9122ef11c72bd62e59807c5cc083",
      "source": "user",
      "timeStamp": 1757166928,
      "title": "Primary Profile",
      "type": "link",
      "url": "https://us-central1-ayrshare.cloudfunctions.net/testFeed"
    },
    {
      "action": "social",
      "created": "2025-09-05T23:13:00Z",
      "displayName": "madworlds25",
      "hookId": "UWURsgBxTdRAMCZJV4Yp",
      "platform": "snapchat",
      "refId": "9abf1426d6ce9122ef11c72bd62e59807c5cc083",
      "source": "user",
      "timeStamp": 1757166928,
      "title": "Primary Profile",
      "type": "unlink",
      "url": "https://us-central1-ayrshare.cloudfunctions.net/testFeed"
    }
  ],
  "scheduled": [
    {
      "action": "scheduled",
      "created": "2025-09-06T17:02:08Z",
      "errors": [],
      "hookId": "AxGbVck3Y7hsOdbAqVp7",
      "id": "NAOWq7cQf1CsyT7vqTng",
      "idShare": "v_pub_url~v2.7547022225119938615",
      "isVideo": true,
      "mediaUrls": [
        "https://img.ayrshare.com/random/portrait8.mp4"
      ],
      "platform": "tiktok",
      "platforms": [
        "tiktok"
      ],
      "post": "Wise men talk because they have something to say; fools, because they have to say something. - Plato",
      "postIds": [
        {
          "status": "success",
          "idShare": "v_pub_url~v2.7547022225119938615",
          "id": "7547022158694731022",
          "isVideo": true,
          "platform": "tiktok",
          "postUrl": "https://www.tiktok.com/@helmar1066/video/7547022158694731022",
          "mediaUrls": [
            "https://img.ayrshare.com/random/portrait8.mp4"
          ]
        }
      ],
      "postUrl": "https://www.tiktok.com/@helmar1066/video/7547022158694731022",
      "refId": "9abf1426d6ce9122ef11c72bd62e59807c5cc083",
      "source": "user",
      "status": "success",
      "subAction": "tikTokPublished",
      "timeStamp": 1757180499,
      "title": "Primary Profile",
      "url": "https://us-central1-ayrshare.cloudfunctions.net/testFeed"
    },
    {
      "action": "scheduled",
      "created": "2025-09-05T11:26:07Z",
      "errors": [],
      "hookId": "D92f6fMh2FCxNps4S27O",
      "id": "2Is9BJkDdoBv01K4nZ2k",
      "idShare": "v_pub_url~v2.7546563700132497463",
      "isVideo": true,
      "mediaUrls": [
        "https://img.ayrshare.com/random/portrait6.mp4"
      ],
      "platform": "tiktok",
      "platforms": [
        "tiktok"
      ],
      "post": "Either write something worth reading or do something worth writing. - Benjamin Franklin",
      "postIds": [
        {
          "status": "success",
          "idShare": "v_pub_url~v2.7546563700132497463",
          "id": "7546564355161099533",
          "isVideo": true,
          "platform": "tiktok",
          "postUrl": "https://www.tiktok.com/@helmar1066/video/7546564355161099533",
          "mediaUrls": [
            "https://img.ayrshare.com/random/portrait6.mp4"
          ]
        }
      ],
      "postUrl": "https://www.tiktok.com/@helmar1066/video/7546564355161099533",
      "refId": "9abf1426d6ce9122ef11c72bd62e59807c5cc083",
      "source": "user",
      "status": "success",
      "subAction": "tikTokPublished",
      "timeStamp": 1757180499,
      "title": "Primary Profile",
      "url": "https://us-central1-ayrshare.cloudfunctions.net/testFeed"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.